package user

import (
	"fmt"

	"github.com/spf13/cobra"
)

var (
	// user subcommand arguments
	flagUserUsername  string
	flagUserEmail     string
	flagUserFirstName string
	flagUserLastName  string
	flagUserIdNumber  int
)

func init() {
	// register add command and subcommands
	UserCmd.AddCommand(userAddCmd, userDeleteCmd, userEditCmd, userPwCmd)
}

// define user command
var UserCmd = &cobra.Command{
	Use:   "user",
	Short: "Manage LDAP user resources",
	Long:  `Perform various LDAP operations on user resources.`,
	Run: func(cmd *cobra.Command, args []string) {
		fmt.Println("Metaunix.net LDAP tool, user command. Available subcommands are: add, delete, edit, pw")
	},
}
